Subject: bug#6550: [External] : Re: bug#6550: FW: bug#5721: Feature request: Function that returnsabsolute coordinates

From: Drew Adams <[email-masked]>
Date: Sun, 18 Jul 2021 20:38:01 +0000

> > My contribution here was simply to agree (11 years ago!)
> > with several others (including Juanma, who has contributed
> > a lot to Emacs development on w32) that the bug _should be
> > left open IF, as they confirmed, it's not yet fixed on w32_.
> >
> > I still feel that's the right approach.  Do you disagree?
> 
> Yes.

So you think it should have been closed whether or
not it remained a bug on MS Windows.  (Not that
I'm surprised.)

In that case, why did you even bother now to check
whether the bug still exists on Windows?  Not
needing a bug filed for it if the bug is only for
Windows means not needing...

> I now tested the functions on Windows, and they
> seemed to work fine, so I'm closing this bug report.

Anyway, those who confirmed the bug (and asked to
keep the report open) gave up on this long ago.

See for example Juanma's msg in #6550:

  To which the proper answer should be
     reopen 5271
     merge 5271 6550
  (No, I'm not doing it, but I should.)
      Juanma

Yes, it was ridiculous that we should have to
create a separate bug (#6550) for the same problem,
just for Windows.  But the indication was that was
what needed to be done.  And as 5721 was in fact
left open in the end, yes the bugs were merged.

> So you opened this bug report because you imagined
> that it was possible that a function you didn't care
> about, and didn't even bother to test, was possibly
> giving a wrong result on a non-primary platform for
> Emacs? And then not saying anything specific in that
> new bug report?
> 
> You couldn't have wasted our time more efficiently 
> even if you had tried, which I guess you didn't.

I opened bug #6550 because I was told, in bug #5721,
to do so - the indication was that 5721 would be
closed, not caring about the Windows case.

Several of us argued for 5721 to be kept open till
fixed on MS Windows also.  But the message was that
5721 shouldn't apply to Windows and a new bug should
be opened for that.  I filed #6550 for that, yes.
Mea culpa; no good deed goes unpunished.

Oh, and there was no doubt by anyone of the bug
existing on Windows.  That was never in question by
anyone, including the person who asked us to create
a separate Windows bug for it.

You snarkily make assumptions/claims, about my not
caring about things etc.  Reading these bug reports
should tell you otherwise.  But you'd maybe need to
remove your blinders for that.